Matrix (NeoBio API)

Overview | Package | Class | Tree | Index | Help
| NeoBio API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## neobio.alignment
Interface Matrix

All Known Implementing Classes:
  OutMatrix

public interface Matrix

This interface defines a minimal set of operations that a matrix must implement. This interface is used by the Smawk class to provide a general services regardless of how the matrix is actually stored.

Author:
  Sergio A. de Carvalho Jr.
See Also:
  `Smawk`

Method Summary
`int` | `numColumns()` Returns the number of columns that this matrix has.
`int` | `numRows()` Returns the number of rows that this matrix has.
`int` | `valueAt(int row, int col)` Returns the value at an specified row and column.

Method Detail

### valueAt

    public int valueAt(int row,
                       int col)

  Returns the value at an specified row and column.

  Parameters:
    `row` - row number of element to be retrieved
    `col` - column number of element to be retrieved
  Returns:
    value at row `row` column `col`

### numRows

    public int numRows()

  Returns the number of rows that this matrix has.

  Returns:
    number of rows

### numColumns

    public int numColumns()

  Returns the number of columns that this matrix has.

  Returns:
    number of columns

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://neobio.sourceforge.net
NeoBio is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. NeoBio is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NeoBio; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.